Bug 10527 - C4::Branch::get_branch_code_from_name is useless
Summary: C4::Branch::get_branch_code_from_name is useless
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 10:55 UTC by Jonathan Druart
Modified: 2014-12-07 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10527: C4::Branch::get_branch_code_from_name is useless (3.33 KB, patch)
2013-07-02 10:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10527: C4::Branch::get_branch_code_from_name is useless (3.37 KB, patch)
2013-07-10 04:38 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10527: C4::Branch::get_branch_code_from_name is useless (3.50 KB, patch)
2013-07-12 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-07-02 10:55:04 UTC
Since branches.branchname is not unique, this routine does not make sense.
Comment 1 Jonathan Druart 2013-07-02 10:58:01 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-07-10 04:38:49 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-07-12 15:11:06 UTC
Created attachment 19600 [details] [review]
Bug 10527: C4::Branch::get_branch_code_from_name is useless

This routine is not in used and does not make sense. It should not be
used later.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, not references to get_branch_code_from_name found.
Comment 4 Galen Charlton 2013-07-12 20:24:10 UTC
Pushed to master.  Thanks, Jonathan!
Comment 5 Tomás Cohen Arazi 2013-07-25 17:17:07 UTC
This patch has been pushed to 3.12.x, will be in 3.12.3.

Thanks Jonathan!
Comment 6 Bernardo Gonzalez Kriegel 2013-08-05 00:34:39 UTC
Pushed to 3.10.x, will be in 3.10.10
Comment 7 Chris Hall 2013-08-20 09:23:35 UTC
pushed to 3.8.x, will be in 3.8.17